Share this page

# Command line installation

This section describes how to install Service Virtualization from the command line.

For installation via a wizard, see Installing Service Virtualization on Windows.

In this topic:

## Prerequisites

To install the product, the database user must have the proper privileges.

- Microsoft® SQL Server®:
  - If you select the option to create the database automatically during installation, the database user must have sufficient privileges to create the database—the SQL server roles `dbcreator` and `public`, and the database role `db_owner`.
  - If you are using an existing database, the database user must have sufficient privileges to create the database schema—the SQL server role `public` and the database role `db_owner`.
- PostgreSQL database: the CREATEDB role is required.

Note: Command line installation does not verify prerequisites.

Back to top

## Command line options

The installers can be executed from the command line by running msiexec with the following properties.

Note: Each property may apply to the Service Virtualization Designer, Server, or to both.

Property | Installer | Description | Defined in UI
--- | --- | --- | ---
ADD_EVERYONE_ TO_ACL_GROUPS | Server | Set true to enable every authenticated user to access and use the Service Virtualization Server's Management Endpoint and Service Virtualization Management. Set false to enable only members of the local system's Administrators group to access and use these features. Note: This option takes effect only if Service Virtualization user groups do not yet exist. The installer does not modify existing user group settings. You can modify the list of authenticated users after installation by modifying the Service Virtualization user groups. For details, see Service Virtualization user groups. Values: true/false Default: false | Yes
CERTIFICATE_SOURCE | Both | Specify the source location of the certificate for Service Virtualization Management, the Server Management Endpoint, and the default HTTPS Gateway and Proxy Agents. Values: file/generate Default: generate, if CERTIFICATE_IMPORT_FILENAME is not specified | Yes
CERTIFICATE_IMPORT_ FILENAME | Both | Specify the full path and name of the file containing the certificate to import. The file must be a valid .p12 file with a public and private key pair. If this property is set, and CERTIFICATE_SOURCE is absent, then CERTIFICATE_SOURCE is set to `file`. | Yes
CERTIFICATE_IMPORT_ PASSWORD | Both | Specify the password of the .p12 file specified by the CERTIFICATE_IMPORT_FILENAME property. | Yes
CERTIFICATE_EXPORT_ PASSWORD | Both | Specify the password for encryption of generated or imported certificate. Default: changeit | Yes
CREATE_SERVER_ SERVICE | Server | Create the Service Virtualization Server service. Values: true/false Default: true | Yes
CREATE_USER_ ENABLE | Both | Set true to create a new local user for remote Performance Monitor access. For details on the Service Virtualization performance counters, see Performance Monitoring. Values: true/false Default: false | Yes
CULTURE | Both | Specify the installation language. Values: Supported values correspond to product localization variants. Default: en | No
DB_AUTHENTICATION | Both | Specify if database authentication uses either Windows or database credentials. Values: WinAuth / SqlAuth Default: WinAuth | Yes
DB_CREATE | Both | Create database. Set to true to create the database during product installation, and remove the database when the product is uninstalled. Set to false to use the existing database. Values: true/false Default: true For MS SQL Server or PostgreSQL only. | Yes
DB_DATASOURCE | Both | Specify the data source part of the connection string. Basic syntax: MSSQL: server\instance,port Oracle: host/servicename, host:port/servicename, or host/servicename:port, PostgreSQL: host Default: localhost\SQLExpress_SV | Yes
DB_NAME | Both | Specify the database name. Default: Designer installation: <username>_designer Server installation: <username>_server For MS SQL Server or PostgreSQL only. | Yes
DB_PROPERTIES | Both | Specify additional database connection properties, such as: `Encrypt='true'` to use an SSL connection to the database server. `Proxy User Id=pUserId;Proxy Password=pPassword` to specify proxy authentication for connection to an Oracle server. | Yes
DB_TYPE | Both | Specify the database type. Values: Designer: embedded/mssql/oracle/postgresql Server: mssql/oracle/postgresql Default: Designer: embedded Server: mssql | Yes
DB_USERNAME | Both | Specify the database user name. Used only when using database credentials mode of authentication. | Yes
DB_USERPASS | Both | Specify the database user password. Used only when using database credentials mode of authentication. | Yes
IGNORE_DB_ERROR | Both | Set true to install product despite database errors. Set false to fail installation in the event of a database error. Values: true/false Default: false | No
INSTALL_DESKTOP_ DESIGNER_SHORTCUT | Designer | Create desktop icon for Designer. Values: true/false Default: true | Yes
INSTALLLOCATION | Both | Installation target directory. Default: Designer: C:\Program Files\Micro Focus\Service Virtualization Designer Server: C:\Program Files\Micro Focus\Service Virtualization Server | Yes
LICENSE_SERVER | Both | URL of the license server to initialize concurrent licensing of the Designer or Server. You can change the value in the Designer application or in the SV Server License Utility after installation. Example: https://licenseServer.myCompany.com:5814 For more details on licensing, see Server licensing. | No
MANAGEMENT_ ENDPOINT_ENABLED | Designer | Enable the management endpoint of the Designer. The Designer's management endpoint is used primarily for integration with UFT, LoadRunner Professional, and LoadRunner Enterprise. Values: true/false Default: false | Yes
MANAGEMENT_ ENDPOINT_AUTH | Both | Set authentication on the management endpoint of the Designer's embedded server or the Service Virtualization Server. Values: true/false Default: true | Yes
MANAGEMENT_ ENDPOINT_PORT | Server | Set port of Service Virtualization Server management endpoint. | Yes
MANAGEMENT_ INTERFACE_PORT | Server | Port number for the Service Virtualization Management Interface. Values: May be in the range 1 to 65535. Default: 6086 | Yes
PERFORMANCE_ MONITOR_USERNAME | Server | Login name of Performance Monitor user. For details on the performance counters, see Performance Monitoring. Default: SVMonitor | Yes
PERFORMANCE_ MONITOR_USERPASS | Server | Password of Performance Monitor user. | Yes
SERVICE_ LOGIN_TYPE | Server | Specifies if the Windows services that start the Service Virtualization Server and Service Virtualization Management are run under the local system account, or by a different user account. Values: system/user Default: system | Yes
SERVICE_USER_ NAME | Server | Name of the user account running the Service Virtualization services. Valid only if SERVICE_LOGIN_TYPE=user. | Yes
SERVICE_USER_ PASSWORD | Server | Password of the user account running the Service Virtualization services. Valid only if SERVICE_LOGIN_TYPE=user. | Yes
PASSWORD_ENCRYPTION_ENABLED | Both | Allows you to explicitly disable password encryption. Values: true/false Default: true | No
MANAGE_ACL_GROUPS | Server | Create Windows groups for ACL management. Values: true/false Default: true | No

Back to top

## Command line examples

Quiet Server installation example

The following is an example of a quiet Server installation with the following parameters:

- Installs Server with SQL database authentication
- Creates Performance monitor user and Windows Service Virtualization
- Sets Management endpoint authentication.

- Logs installer output in the installer-server.log file

msiexec /i ServiceVirtualizationServer.msi /l*V "installer-server.log" /passive DB_DATASOURCE=czb240 DB_PROPERTIES="Encrypt='false'" DB_AUTHENTICATION=SqlAuth DB_USERNAME="guest" DB_USERPASS="guest" CREATE_USER_ENABLE="true" PERFORMANCE_MONITOR_USERNAME="SVMonitor" PERFORMANCE_MONITOR_USERPASS="changeit"

Quiet Server patch installation example

msiexec /p ServiceVirtualizationServerUpdate.msp /l*vx! "installer-server.log" /passive

Quiet Designer installation example

The following is an example of a quiet Designer installation with the following parameters:

- Installs Designer with Windows database authentication

- Logs installer output in the installer-designer.log file

msiexec /i ServiceVirtualizationDesigner.msi /l*V "installer-designer.log" /passive DB_DATASOURCE=localhost\SQLExpress_SV DB_PROPERTIES="Encrypt='false'" DB_AUTHENTICATION=WinAuth

Note: You can modify database connection properties from the command line after the installation. For details, see Installing Service Virtualization on Windows.

Quiet Designer patch installation example

msiexec /p ServiceVirtualizationDesignerUpdate.msp /l*vx! "installer-server.log" /passive

Back to top

https://admhelp.microfocus.com Service Virtualization 8942
Tips to improve your search results... Service Virtualization Help Center SV Help 5.4-5.4.1 All View Local Help Center View Online Help Center back Go back in browser history forward Go forward in browser history Remove search highlights next topic Go to next topic previous topic Go to previous topic Print the current topic Version: